#
# spec file for package python-knack
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-knack
Version:        0.3.2
Release:        lp150.1.1
Summary:        A Command-Line Interface framework
License:        MIT
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/knack
Source:         https://files.pythonhosted.org/packages/source/k/knack/knack-%{version}.tar.gz
Source1:        LICENSE
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyYAML
Requires:       python-argcomplete
Requires:       python-colorama
Requires:       python-jmespath
Requires:       python-pygments
Requires:       python-six
Requires:       python-tabulate
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
A Command-Line Interface framework

%prep
%setup -q -n knack-%{version}
cp %{SOURCE1} LICENSE

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files  %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed May  2 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.3.2
  + ArgumentsContext.ignore() should use hidden options_list (#76)
  + Consolidate exception handling (#66)
- Fix bogus comment in spec file
* Thu Feb  8 2018 adrian.glaubitz@suse.com
- Initial release
  + Version 0.3.1
